// Generated from monitor_id.pl

#include "monitor.h"

/*static*/ const std::vector<MonitorManager::MonitorInfo>
MonitorManager::info {
	{ ID_MONITOR_ACCSTAT,	VMCap::NONE,	{ "accstat" } },
	{ ID_MONITOR_AREASET,	VMCap::NONE,	{ "areaset" } },
	{ ID_MONITOR_ATC0,	VMCap::NONE,	{ "atc0" } },
	{ ID_MONITOR_ATC1,	VMCap::NONE,	{ "atc1" } },
	{ ID_MONITOR_ATC2,	VMCap::NONE,	{ "atc2" } },
	{ ID_MONITOR_ATC3,	VMCap::NONE,	{ "atc3" } },
	{ ID_MONITOR_ATC4,	VMCap::NONE,	{ "atc4" } },
	{ ID_MONITOR_ATC5,	VMCap::NONE,	{ "atc5" } },
	{ ID_MONITOR_ATC6,	VMCap::NONE,	{ "atc6" } },
	{ ID_MONITOR_ATC7,	VMCap::NONE,	{ "atc7" } },
	{ ID_MONITOR_BREAKPOINT,	VMCap::NONE,	{ "breakpoint", "bp" } },
	{ ID_MONITOR_BT45x,	VMCap::NONE,	{ "bt45x" } },
	{ ID_MONITOR_CMMU0,	VMCap::NONE,	{ "cmmu0" } },
	{ ID_MONITOR_CMMU1,	VMCap::NONE,	{ "cmmu1" } },
	{ ID_MONITOR_CMMU2,	VMCap::NONE,	{ "cmmu2" } },
	{ ID_MONITOR_CMMU3,	VMCap::NONE,	{ "cmmu3" } },
	{ ID_MONITOR_CMMU4,	VMCap::NONE,	{ "cmmu4" } },
	{ ID_MONITOR_CMMU5,	VMCap::NONE,	{ "cmmu5" } },
	{ ID_MONITOR_CMMU6,	VMCap::NONE,	{ "cmmu6" } },
	{ ID_MONITOR_CMMU7,	VMCap::NONE,	{ "cmmu7" } },
	{ ID_MONITOR_CRTC,	VMCap::NONE,	{ "crtc" } },
	{ ID_MONITOR_DMAC,	VMCap::NONE,	{ "dmac" } },
	{ ID_MONITOR_FDC,	VMCap::NONE,	{ "fdc" } },
	{ ID_MONITOR_HOSTCOM,	VMCap::NONE,	{ "hostcom" } },
	{ ID_MONITOR_HOSTNET0,	VMCap::NONE,	{ "hostnet0" } },
	{ ID_MONITOR_HOSTNET1,	VMCap::NONE,	{ "hostnet1" } },
	{ ID_MONITOR_INTERRUPT,	VMCap::NONE,	{ "interrupt" } },
	{ ID_MONITOR_KEYBOARD,	VMCap::NONE,	{ "keyboard" } },
	{ ID_MONITOR_LANCE,	VMCap::NONE,	{ "lance" } },
	{ ID_MONITOR_LCD,	VMCap::NONE,	{ "lcd" } },
	{ ID_MONITOR_LUNAVC,	VMCap::NONE,	{ "video" } },
	{ ID_MONITOR_MAINBUS,	VMCap::NONE,	{ "mainbus" } },
	{ ID_MONITOR_MEMDUMP0,	VMCap::NONE,	{ "memdump0" } },
	{ ID_MONITOR_MEMDUMP1,	VMCap::NONE,	{ "memdump1" } },
	{ ID_MONITOR_MEMDUMP2,	VMCap::NONE,	{ "memdump2" } },
	{ ID_MONITOR_MEMDUMP3,	VMCap::NONE,	{ "memdump3" } },
	{ ID_MONITOR_MFP,	VMCap::NONE,	{ "mfp" } },
	{ ID_MONITOR_MK48T02,	VMCap::NONE,	{ "mk48t02", "rtc" } },
	{ ID_MONITOR_MPUATC,	VMCap::NONE,	{ "mpuatc" } },
	{ ID_MONITOR_MPUCACHE,	VMCap::NONE,	{ "mpucache" } },
	{ ID_MONITOR_MPUREG,	VMCap::NONE,	{ "mpureg" } },
	{ ID_MONITOR_NEREID,	VMCap::NONE,	{ "nereid" } },
	{ ID_MONITOR_PIO,	VMCap::NONE,	{ "pio" } },
	{ ID_MONITOR_RENDERER,	VMCap::NONE,	{ "renderer" } },
	{ ID_MONITOR_ROMCONS,	VMCap::NONE,	{ "romcons" } },
	{ ID_MONITOR_RTC,	VMCap::NONE,	{ "rtc" } },
	{ ID_MONITOR_RTL8019AS0,	VMCap::NONE,	{ "eth0" } },
	{ ID_MONITOR_RTL8019AS1,	VMCap::NONE,	{ "eth1" } },
	{ ID_MONITOR_SCC,	VMCap::NONE,	{ "scc" } },
	{ ID_MONITOR_SCHEDULER,	VMCap::NONE,	{ "scheduler" } },
	{ ID_MONITOR_SCSIDEVS,	VMCap::NONE,	{ "scsidevs" } },
	{ ID_MONITOR_SIO,	VMCap::NONE,	{ "sio" } },
	{ ID_MONITOR_SPC,	VMCap::NONE,	{ "spc" } },
	{ ID_MONITOR_SSG,	VMCap::NONE,	{ "ssg" } },
	{ ID_MONITOR_SYSCLK,	VMCap::NONE,	{ "sysclk" } },
	{ ID_MONITOR_SYSPORT,	VMCap::NONE,	{ "sysport" } },
	{ ID_MONITOR_VIRTIO_BLOCK0,	VMCap::NONE,	{ "vblk0" } },
	{ ID_MONITOR_VIRTIO_BLOCK1,	VMCap::NONE,	{ "vblk1" } },
	{ ID_MONITOR_VIRTIO_BLOCK2,	VMCap::NONE,	{ "vblk2" } },
	{ ID_MONITOR_VIRTIO_BLOCK3,	VMCap::NONE,	{ "vblk3" } },
	{ ID_MONITOR_VIRTIO_BLOCK4,	VMCap::NONE,	{ "vblk4" } },
	{ ID_MONITOR_VIRTIO_BLOCK5,	VMCap::NONE,	{ "vblk5" } },
	{ ID_MONITOR_VIRTIO_BLOCK6,	VMCap::NONE,	{ "vblk6" } },
	{ ID_MONITOR_VIRTIO_BLOCK7,	VMCap::NONE,	{ "vblk7" } },
	{ ID_MONITOR_VIRTIO_ENTROPY,	VMCap::NONE,	{ "virtio_entropy" } },
	{ ID_MONITOR_VIRTIO_NET,	VMCap::NONE,	{ "vnet" } },
	{ ID_MONITOR_WXHOSTINFO,	VMCap::NONE,	{ "wxhostinfo" } },
	{ ID_MONITOR_XPMEMDUMP0,	VMCap::NONE,	{ "xpmemdump0" } },
	{ ID_MONITOR_XPMEMDUMP1,	VMCap::NONE,	{ "xpmemdump1" } },
	{ ID_MONITOR_XPMEMDUMP2,	VMCap::NONE,	{ "xpmemdump2" } },
	{ ID_MONITOR_XPMEMDUMP3,	VMCap::NONE,	{ "xpmemdump3" } },
	{ ID_MONITOR_XPINTR,	VMCap::NONE,	{ "xpinterrupt" } },
	{ ID_MONITOR_XPIO,	VMCap::NONE,	{ "xpio" } },
	{ ID_MONITOR_XPREG,	VMCap::NONE,	{ "xpreg" } },

	{ ID_SUBWIN_BRHIST,	VMCap::ALL,	{ "brhist" } },
	{ ID_SUBWIN_CACHE0,	VMCap::M88K,	{ "cache0" } },
	{ ID_SUBWIN_CACHE1,	VMCap::M88K,	{ "cache1" } },
	{ ID_SUBWIN_CACHE2,	VMCap::M88K,	{ "cache2" } },
	{ ID_SUBWIN_CACHE3,	VMCap::M88K,	{ "cache3" } },
	{ ID_SUBWIN_CACHE4,	VMCap::M88K,	{ "cache4" } },
	{ ID_SUBWIN_CACHE5,	VMCap::M88K,	{ "cache5" } },
	{ ID_SUBWIN_CACHE6,	VMCap::M88K,	{ "cache6" } },
	{ ID_SUBWIN_CACHE7,	VMCap::M88K,	{ "cache7" } },
	{ ID_SUBWIN_DIPSW,	VMCap::LUNA|VMCap::NEWS,	{ "dipsw" } },
	{ ID_SUBWIN_EXHIST,	VMCap::ALL,	{ "exhist" } },
	{ ID_SUBWIN_LCDPANEL,	VMCap::LUNA,	{ "lcdpanel" } },
	{ ID_SUBWIN_LOG,	VMCap::ALL,	{ "log" } },
	{ ID_SUBWIN_LOGSETTING,	VMCap::ALL,	{ "logsetting" } },
	{ ID_SUBWIN_LUNAFB,	VMCap::LUNA,	{ "bitmap" } },
	{ ID_SUBWIN_NEWSIO,	VMCap::NEWS,	{ "newsio" } },
	{ ID_SUBWIN_PALETTE,	VMCap::LUNA,	{ "palette" } },
	{ ID_SUBWIN_ROM,	VMCap::LUNA|VMCap::X68030,	{ "rom" } },
	{ ID_SUBWIN_SOFTKEY,	VMCap::ALL,	{ "softkey" } },
	{ ID_SUBWIN_TEXTPAL,	VMCap::X68030,	{ "textpalette", "palette" } },
	{ ID_SUBWIN_TVRAM,	VMCap::X68030,	{ "tvram" } },
	{ ID_SUBWIN_VECTOR,	VMCap::ALL,	{ "vector" } },
	{ ID_SUBWIN_X68KIO,	VMCap::X68030,	{ "x68kio" } },
	{ ID_SUBWIN_XPBRHIST,	VMCap::LUNA,	{ "xpbrhist" } },
	{ ID_SUBWIN_XPEXHIST,	VMCap::LUNA,	{ "xpexhist" } },
};

/*static*/ const std::vector<std::pair<uint, const char *>>
Monitor::idtext {
	{ ID_MONITOR_ACCSTAT, "ID_MONITOR_ACCSTAT" },
	{ ID_MONITOR_AREASET, "ID_MONITOR_AREASET" },
	{ ID_MONITOR_ATC0, "ID_MONITOR_ATC0" },
	{ ID_MONITOR_ATC1, "ID_MONITOR_ATC1" },
	{ ID_MONITOR_ATC2, "ID_MONITOR_ATC2" },
	{ ID_MONITOR_ATC3, "ID_MONITOR_ATC3" },
	{ ID_MONITOR_ATC4, "ID_MONITOR_ATC4" },
	{ ID_MONITOR_ATC5, "ID_MONITOR_ATC5" },
	{ ID_MONITOR_ATC6, "ID_MONITOR_ATC6" },
	{ ID_MONITOR_ATC7, "ID_MONITOR_ATC7" },
	{ ID_MONITOR_BREAKPOINT, "ID_MONITOR_BREAKPOINT" },
	{ ID_SUBWIN_BRHIST, "ID_SUBWIN_BRHIST" },
	{ ID_MONITOR_BT45x, "ID_MONITOR_BT45x" },
	{ ID_SUBWIN_CACHE0, "ID_SUBWIN_CACHE0" },
	{ ID_SUBWIN_CACHE1, "ID_SUBWIN_CACHE1" },
	{ ID_SUBWIN_CACHE2, "ID_SUBWIN_CACHE2" },
	{ ID_SUBWIN_CACHE3, "ID_SUBWIN_CACHE3" },
	{ ID_SUBWIN_CACHE4, "ID_SUBWIN_CACHE4" },
	{ ID_SUBWIN_CACHE5, "ID_SUBWIN_CACHE5" },
	{ ID_SUBWIN_CACHE6, "ID_SUBWIN_CACHE6" },
	{ ID_SUBWIN_CACHE7, "ID_SUBWIN_CACHE7" },
	{ ID_MONITOR_CMMU0, "ID_MONITOR_CMMU0" },
	{ ID_MONITOR_CMMU1, "ID_MONITOR_CMMU1" },
	{ ID_MONITOR_CMMU2, "ID_MONITOR_CMMU2" },
	{ ID_MONITOR_CMMU3, "ID_MONITOR_CMMU3" },
	{ ID_MONITOR_CMMU4, "ID_MONITOR_CMMU4" },
	{ ID_MONITOR_CMMU5, "ID_MONITOR_CMMU5" },
	{ ID_MONITOR_CMMU6, "ID_MONITOR_CMMU6" },
	{ ID_MONITOR_CMMU7, "ID_MONITOR_CMMU7" },
	{ ID_MONITOR_CRTC, "ID_MONITOR_CRTC" },
	{ ID_SUBWIN_DIPSW, "ID_SUBWIN_DIPSW" },
	{ ID_MONITOR_DMAC, "ID_MONITOR_DMAC" },
	{ ID_SUBWIN_EXHIST, "ID_SUBWIN_EXHIST" },
	{ ID_MONITOR_FDC, "ID_MONITOR_FDC" },
	{ ID_MONITOR_HOSTCOM, "ID_MONITOR_HOSTCOM" },
	{ ID_MONITOR_HOSTNET0, "ID_MONITOR_HOSTNET0" },
	{ ID_MONITOR_HOSTNET1, "ID_MONITOR_HOSTNET1" },
	{ ID_MONITOR_INTERRUPT, "ID_MONITOR_INTERRUPT" },
	{ ID_MONITOR_KEYBOARD, "ID_MONITOR_KEYBOARD" },
	{ ID_MONITOR_LANCE, "ID_MONITOR_LANCE" },
	{ ID_MONITOR_LCD, "ID_MONITOR_LCD" },
	{ ID_SUBWIN_LCDPANEL, "ID_SUBWIN_LCDPANEL" },
	{ ID_SUBWIN_LOG, "ID_SUBWIN_LOG" },
	{ ID_SUBWIN_LOGSETTING, "ID_SUBWIN_LOGSETTING" },
	{ ID_SUBWIN_LUNAFB, "ID_SUBWIN_LUNAFB" },
	{ ID_MONITOR_LUNAVC, "ID_MONITOR_LUNAVC" },
	{ ID_MONITOR_MAINBUS, "ID_MONITOR_MAINBUS" },
	{ ID_MONITOR_MEMDUMP0, "ID_MONITOR_MEMDUMP0" },
	{ ID_MONITOR_MEMDUMP1, "ID_MONITOR_MEMDUMP1" },
	{ ID_MONITOR_MEMDUMP2, "ID_MONITOR_MEMDUMP2" },
	{ ID_MONITOR_MEMDUMP3, "ID_MONITOR_MEMDUMP3" },
	{ ID_MONITOR_MFP, "ID_MONITOR_MFP" },
	{ ID_MONITOR_MK48T02, "ID_MONITOR_MK48T02" },
	{ ID_MONITOR_MPUATC, "ID_MONITOR_MPUATC" },
	{ ID_MONITOR_MPUCACHE, "ID_MONITOR_MPUCACHE" },
	{ ID_MONITOR_MPUREG, "ID_MONITOR_MPUREG" },
	{ ID_MONITOR_NEREID, "ID_MONITOR_NEREID" },
	{ ID_SUBWIN_NEWSIO, "ID_SUBWIN_NEWSIO" },
	{ ID_SUBWIN_PALETTE, "ID_SUBWIN_PALETTE" },
	{ ID_MONITOR_PIO, "ID_MONITOR_PIO" },
	{ ID_MONITOR_RENDERER, "ID_MONITOR_RENDERER" },
	{ ID_SUBWIN_ROM, "ID_SUBWIN_ROM" },
	{ ID_MONITOR_ROMCONS, "ID_MONITOR_ROMCONS" },
	{ ID_MONITOR_RTC, "ID_MONITOR_RTC" },
	{ ID_MONITOR_RTL8019AS0, "ID_MONITOR_RTL8019AS0" },
	{ ID_MONITOR_RTL8019AS1, "ID_MONITOR_RTL8019AS1" },
	{ ID_MONITOR_SCC, "ID_MONITOR_SCC" },
	{ ID_MONITOR_SCHEDULER, "ID_MONITOR_SCHEDULER" },
	{ ID_MONITOR_SCSIDEVS, "ID_MONITOR_SCSIDEVS" },
	{ ID_MONITOR_SIO, "ID_MONITOR_SIO" },
	{ ID_SUBWIN_SOFTKEY, "ID_SUBWIN_SOFTKEY" },
	{ ID_MONITOR_SPC, "ID_MONITOR_SPC" },
	{ ID_MONITOR_SSG, "ID_MONITOR_SSG" },
	{ ID_MONITOR_SYSCLK, "ID_MONITOR_SYSCLK" },
	{ ID_MONITOR_SYSPORT, "ID_MONITOR_SYSPORT" },
	{ ID_SUBWIN_TEXTPAL, "ID_SUBWIN_TEXTPAL" },
	{ ID_SUBWIN_TVRAM, "ID_SUBWIN_TVRAM" },
	{ ID_SUBWIN_VECTOR, "ID_SUBWIN_VECTOR" },
	{ ID_MONITOR_VIRTIO_BLOCK0, "ID_MONITOR_VIRTIO_BLOCK0" },
	{ ID_MONITOR_VIRTIO_BLOCK1, "ID_MONITOR_VIRTIO_BLOCK1" },
	{ ID_MONITOR_VIRTIO_BLOCK2, "ID_MONITOR_VIRTIO_BLOCK2" },
	{ ID_MONITOR_VIRTIO_BLOCK3, "ID_MONITOR_VIRTIO_BLOCK3" },
	{ ID_MONITOR_VIRTIO_BLOCK4, "ID_MONITOR_VIRTIO_BLOCK4" },
	{ ID_MONITOR_VIRTIO_BLOCK5, "ID_MONITOR_VIRTIO_BLOCK5" },
	{ ID_MONITOR_VIRTIO_BLOCK6, "ID_MONITOR_VIRTIO_BLOCK6" },
	{ ID_MONITOR_VIRTIO_BLOCK7, "ID_MONITOR_VIRTIO_BLOCK7" },
	{ ID_MONITOR_VIRTIO_ENTROPY, "ID_MONITOR_VIRTIO_ENTROPY" },
	{ ID_MONITOR_VIRTIO_NET, "ID_MONITOR_VIRTIO_NET" },
	{ ID_MONITOR_WXHOSTINFO, "ID_MONITOR_WXHOSTINFO" },
	{ ID_SUBWIN_X68KIO, "ID_SUBWIN_X68KIO" },
	{ ID_MONITOR_XPMEMDUMP0, "ID_MONITOR_XPMEMDUMP0" },
	{ ID_MONITOR_XPMEMDUMP1, "ID_MONITOR_XPMEMDUMP1" },
	{ ID_MONITOR_XPMEMDUMP2, "ID_MONITOR_XPMEMDUMP2" },
	{ ID_MONITOR_XPMEMDUMP3, "ID_MONITOR_XPMEMDUMP3" },
	{ ID_SUBWIN_XPBRHIST, "ID_SUBWIN_XPBRHIST" },
	{ ID_SUBWIN_XPEXHIST, "ID_SUBWIN_XPEXHIST" },
	{ ID_MONITOR_XPINTR, "ID_MONITOR_XPINTR" },
	{ ID_MONITOR_XPIO, "ID_MONITOR_XPIO" },
	{ ID_MONITOR_XPREG, "ID_MONITOR_XPREG" },
};
